Create Individual Customer V2
curl --request POST \
--url https://sandbox.api.fin.com/v2/customers/individual \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"verification_type": "STANDARD",
"basic_info": {
"first_name": "Maria",
"middle_name": "Elena",
"last_name": "Garcia",
"dob": "1990-04-15",
"email": "maria.garcia@example.com",
"phone": "+14155552671",
"country_of_residence": "USA",
"primary_nationality": "USA",
"secondary_nationality": "MEX",
"gender": "FEMALE",
"tax_info": [
{
"country_code": "USA",
"document_type": "SSN",
"document_id": "123-45-6789"
}
]
},
"address": {
"street_line_1": "123 Market Street",
"street_line_2": "Apt 4B",
"city": "San Francisco",
"subdivision_code": "US-CA",
"postal_code": "94103",
"country": "USA"
},
"financial_profile": {
"employment_status": "EMPLOYED",
"occupation_id": 42,
"purpose_id": 3,
"purpose_remarks": "Personal remittances to family",
"source_of_funds_description": "Monthly salary from employment",
"source_of_fund_ids": [
1,
5
],
"monthly_volume_usd": 5000
},
"meta_data": {
"reference": "client-ref-abc-001"
}
}
'const url = 'https://sandbox.api.fin.com/v2/customers/individual';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
verification_type: 'STANDARD',
basic_info: {
first_name: 'Maria',
middle_name: 'Elena',
last_name: 'Garcia',
dob: '1990-04-15',
email: 'maria.garcia@example.com',
phone: '+14155552671',
country_of_residence: 'USA',
primary_nationality: 'USA',
secondary_nationality: 'MEX',
gender: 'FEMALE',
tax_info: [{country_code: 'USA', document_type: 'SSN', document_id: '123-45-6789'}]
},
address: {
street_line_1: '123 Market Street',
street_line_2: 'Apt 4B',
city: 'San Francisco',
subdivision_code: 'US-CA',
postal_code: '94103',
country: 'USA'
},
financial_profile: {
employment_status: 'EMPLOYED',
occupation_id: 42,
purpose_id: 3,
purpose_remarks: 'Personal remittances to family',
source_of_funds_description: 'Monthly salary from employment',
source_of_fund_ids: [1, 5],
monthly_volume_usd: 5000
},
meta_data: {reference: 'client-ref-abc-001'}
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://sandbox.api.fin.com/v2/customers/individual")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"verification_type\": \"STANDARD\",\n \"basic_info\": {\n \"first_name\": \"Maria\",\n \"middle_name\": \"Elena\",\n \"last_name\": \"Garcia\",\n \"dob\": \"1990-04-15\",\n \"email\": \"maria.garcia@example.com\",\n \"phone\": \"+14155552671\",\n \"country_of_residence\": \"USA\",\n \"primary_nationality\": \"USA\",\n \"secondary_nationality\": \"MEX\",\n \"gender\": \"FEMALE\",\n \"tax_info\": [\n {\n \"country_code\": \"USA\",\n \"document_type\": \"SSN\",\n \"document_id\": \"123-45-6789\"\n }\n ]\n },\n \"address\": {\n \"street_line_1\": \"123 Market Street\",\n \"street_line_2\": \"Apt 4B\",\n \"city\": \"San Francisco\",\n \"subdivision_code\": \"US-CA\",\n \"postal_code\": \"94103\",\n \"country\": \"USA\"\n },\n \"financial_profile\": {\n \"employment_status\": \"EMPLOYED\",\n \"occupation_id\": 42,\n \"purpose_id\": 3,\n \"purpose_remarks\": \"Personal remittances to family\",\n \"source_of_funds_description\": \"Monthly salary from employment\",\n \"source_of_fund_ids\": [\n 1,\n 5\n ],\n \"monthly_volume_usd\": 5000\n },\n \"meta_data\": {\n \"reference\": \"client-ref-abc-001\"\n }\n}")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/customers/individual"
payload = {
"verification_type": "STANDARD",
"basic_info": {
"first_name": "Maria",
"middle_name": "Elena",
"last_name": "Garcia",
"dob": "1990-04-15",
"email": "maria.garcia@example.com",
"phone": "+14155552671",
"country_of_residence": "USA",
"primary_nationality": "USA",
"secondary_nationality": "MEX",
"gender": "FEMALE",
"tax_info": [
{
"country_code": "USA",
"document_type": "SSN",
"document_id": "123-45-6789"
}
]
},
"address": {
"street_line_1": "123 Market Street",
"street_line_2": "Apt 4B",
"city": "San Francisco",
"subdivision_code": "US-CA",
"postal_code": "94103",
"country": "USA"
},
"financial_profile": {
"employment_status": "EMPLOYED",
"occupation_id": 42,
"purpose_id": 3,
"purpose_remarks": "Personal remittances to family",
"source_of_funds_description": "Monthly salary from employment",
"source_of_fund_ids": [1, 5],
"monthly_volume_usd": 5000
},
"meta_data": { "reference": "client-ref-abc-001" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/customers/individual"
payload := strings.NewReader("{\n \"verification_type\": \"STANDARD\",\n \"basic_info\": {\n \"first_name\": \"Maria\",\n \"middle_name\": \"Elena\",\n \"last_name\": \"Garcia\",\n \"dob\": \"1990-04-15\",\n \"email\": \"maria.garcia@example.com\",\n \"phone\": \"+14155552671\",\n \"country_of_residence\": \"USA\",\n \"primary_nationality\": \"USA\",\n \"secondary_nationality\": \"MEX\",\n \"gender\": \"FEMALE\",\n \"tax_info\": [\n {\n \"country_code\": \"USA\",\n \"document_type\": \"SSN\",\n \"document_id\": \"123-45-6789\"\n }\n ]\n },\n \"address\": {\n \"street_line_1\": \"123 Market Street\",\n \"street_line_2\": \"Apt 4B\",\n \"city\": \"San Francisco\",\n \"subdivision_code\": \"US-CA\",\n \"postal_code\": \"94103\",\n \"country\": \"USA\"\n },\n \"financial_profile\": {\n \"employment_status\": \"EMPLOYED\",\n \"occupation_id\": 42,\n \"purpose_id\": 3,\n \"purpose_remarks\": \"Personal remittances to family\",\n \"source_of_funds_description\": \"Monthly salary from employment\",\n \"source_of_fund_ids\": [\n 1,\n 5\n ],\n \"monthly_volume_usd\": 5000\n },\n \"meta_data\": {\n \"reference\": \"client-ref-abc-001\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"customer_id": "0ca13984-63f3-45d7-99a7-52b9133f0259",
"tos_policies_url": "https://orchestration.fin.com/orchestration-customer-tos?customer_id=0ca13984-63f3-45d7-99a7-52b9133f0259&tos_policies_value=7e8873f7-519b-43d7-9565-c81befc52dd6"
}
}{
"message": "Authentication failed"
}{
"message": "<string>",
"errors": [
{}
]
}{
"message": "RELIANCE is not available for your client"
}Create Individual Customer
Create Individual Customer V2
Create a new individual customer with verification details, basic info, address, and financial profile.
POST
/
v2
/
customers
/
individual
Create Individual Customer V2
curl --request POST \
--url https://sandbox.api.fin.com/v2/customers/individual \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"verification_type": "STANDARD",
"basic_info": {
"first_name": "Maria",
"middle_name": "Elena",
"last_name": "Garcia",
"dob": "1990-04-15",
"email": "maria.garcia@example.com",
"phone": "+14155552671",
"country_of_residence": "USA",
"primary_nationality": "USA",
"secondary_nationality": "MEX",
"gender": "FEMALE",
"tax_info": [
{
"country_code": "USA",
"document_type": "SSN",
"document_id": "123-45-6789"
}
]
},
"address": {
"street_line_1": "123 Market Street",
"street_line_2": "Apt 4B",
"city": "San Francisco",
"subdivision_code": "US-CA",
"postal_code": "94103",
"country": "USA"
},
"financial_profile": {
"employment_status": "EMPLOYED",
"occupation_id": 42,
"purpose_id": 3,
"purpose_remarks": "Personal remittances to family",
"source_of_funds_description": "Monthly salary from employment",
"source_of_fund_ids": [
1,
5
],
"monthly_volume_usd": 5000
},
"meta_data": {
"reference": "client-ref-abc-001"
}
}
'const url = 'https://sandbox.api.fin.com/v2/customers/individual';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
verification_type: 'STANDARD',
basic_info: {
first_name: 'Maria',
middle_name: 'Elena',
last_name: 'Garcia',
dob: '1990-04-15',
email: 'maria.garcia@example.com',
phone: '+14155552671',
country_of_residence: 'USA',
primary_nationality: 'USA',
secondary_nationality: 'MEX',
gender: 'FEMALE',
tax_info: [{country_code: 'USA', document_type: 'SSN', document_id: '123-45-6789'}]
},
address: {
street_line_1: '123 Market Street',
street_line_2: 'Apt 4B',
city: 'San Francisco',
subdivision_code: 'US-CA',
postal_code: '94103',
country: 'USA'
},
financial_profile: {
employment_status: 'EMPLOYED',
occupation_id: 42,
purpose_id: 3,
purpose_remarks: 'Personal remittances to family',
source_of_funds_description: 'Monthly salary from employment',
source_of_fund_ids: [1, 5],
monthly_volume_usd: 5000
},
meta_data: {reference: 'client-ref-abc-001'}
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://sandbox.api.fin.com/v2/customers/individual")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"verification_type\": \"STANDARD\",\n \"basic_info\": {\n \"first_name\": \"Maria\",\n \"middle_name\": \"Elena\",\n \"last_name\": \"Garcia\",\n \"dob\": \"1990-04-15\",\n \"email\": \"maria.garcia@example.com\",\n \"phone\": \"+14155552671\",\n \"country_of_residence\": \"USA\",\n \"primary_nationality\": \"USA\",\n \"secondary_nationality\": \"MEX\",\n \"gender\": \"FEMALE\",\n \"tax_info\": [\n {\n \"country_code\": \"USA\",\n \"document_type\": \"SSN\",\n \"document_id\": \"123-45-6789\"\n }\n ]\n },\n \"address\": {\n \"street_line_1\": \"123 Market Street\",\n \"street_line_2\": \"Apt 4B\",\n \"city\": \"San Francisco\",\n \"subdivision_code\": \"US-CA\",\n \"postal_code\": \"94103\",\n \"country\": \"USA\"\n },\n \"financial_profile\": {\n \"employment_status\": \"EMPLOYED\",\n \"occupation_id\": 42,\n \"purpose_id\": 3,\n \"purpose_remarks\": \"Personal remittances to family\",\n \"source_of_funds_description\": \"Monthly salary from employment\",\n \"source_of_fund_ids\": [\n 1,\n 5\n ],\n \"monthly_volume_usd\": 5000\n },\n \"meta_data\": {\n \"reference\": \"client-ref-abc-001\"\n }\n}")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/customers/individual"
payload = {
"verification_type": "STANDARD",
"basic_info": {
"first_name": "Maria",
"middle_name": "Elena",
"last_name": "Garcia",
"dob": "1990-04-15",
"email": "maria.garcia@example.com",
"phone": "+14155552671",
"country_of_residence": "USA",
"primary_nationality": "USA",
"secondary_nationality": "MEX",
"gender": "FEMALE",
"tax_info": [
{
"country_code": "USA",
"document_type": "SSN",
"document_id": "123-45-6789"
}
]
},
"address": {
"street_line_1": "123 Market Street",
"street_line_2": "Apt 4B",
"city": "San Francisco",
"subdivision_code": "US-CA",
"postal_code": "94103",
"country": "USA"
},
"financial_profile": {
"employment_status": "EMPLOYED",
"occupation_id": 42,
"purpose_id": 3,
"purpose_remarks": "Personal remittances to family",
"source_of_funds_description": "Monthly salary from employment",
"source_of_fund_ids": [1, 5],
"monthly_volume_usd": 5000
},
"meta_data": { "reference": "client-ref-abc-001" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/customers/individual"
payload := strings.NewReader("{\n \"verification_type\": \"STANDARD\",\n \"basic_info\": {\n \"first_name\": \"Maria\",\n \"middle_name\": \"Elena\",\n \"last_name\": \"Garcia\",\n \"dob\": \"1990-04-15\",\n \"email\": \"maria.garcia@example.com\",\n \"phone\": \"+14155552671\",\n \"country_of_residence\": \"USA\",\n \"primary_nationality\": \"USA\",\n \"secondary_nationality\": \"MEX\",\n \"gender\": \"FEMALE\",\n \"tax_info\": [\n {\n \"country_code\": \"USA\",\n \"document_type\": \"SSN\",\n \"document_id\": \"123-45-6789\"\n }\n ]\n },\n \"address\": {\n \"street_line_1\": \"123 Market Street\",\n \"street_line_2\": \"Apt 4B\",\n \"city\": \"San Francisco\",\n \"subdivision_code\": \"US-CA\",\n \"postal_code\": \"94103\",\n \"country\": \"USA\"\n },\n \"financial_profile\": {\n \"employment_status\": \"EMPLOYED\",\n \"occupation_id\": 42,\n \"purpose_id\": 3,\n \"purpose_remarks\": \"Personal remittances to family\",\n \"source_of_funds_description\": \"Monthly salary from employment\",\n \"source_of_fund_ids\": [\n 1,\n 5\n ],\n \"monthly_volume_usd\": 5000\n },\n \"meta_data\": {\n \"reference\": \"client-ref-abc-001\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"customer_id": "0ca13984-63f3-45d7-99a7-52b9133f0259",
"tos_policies_url": "https://orchestration.fin.com/orchestration-customer-tos?customer_id=0ca13984-63f3-45d7-99a7-52b9133f0259&tos_policies_value=7e8873f7-519b-43d7-9565-c81befc52dd6"
}
}{
"message": "Authentication failed"
}{
"message": "<string>",
"errors": [
{}
]
}{
"message": "RELIANCE is not available for your client"
}Only English (Latin) characters are allowed as inputs for all fields. If any field contains non-ASCII characters, provide a transliterated (Latin) value in the corresponding
_en field (e.g., first_name_en, street_line_1_en).Important Requirements
- Email Address: Must be all lowercase or you will receive a validation error
- RELIANCE Verification: If you attempt to use
RELIANCEverification type but it’s not enabled for your client, you will receive a 423 error with message: “RELIANCE is not available for your client” - Address country:
address.countrymust matchbasic_info.country_of_residence - Reference Data:
occupation_id,purpose_id, andsource_of_fund_idsare integer foreign keys. Fetch valid values from List Occupations, List Account Purposes, and List Source of Funds - subdivision_code: Pass the ISO 3166-2 code. For example for CA, pass US-CA.
Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Body
application/json
Response
Individual customer created successfully
Show child attributes
Show child attributes
⌘I
